Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act
Interface AInput

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  AInputImpl

    public interface AInput

extends org.eclipse.emf.ecore.EObject

A representation of the model object ' AInput'.

The following features are supported:

- `Sink`
- `Selected`
- `Literal`
- `Value`

See Also:
  `MetaABMActPackage.getAInput()`

Method Summary
`ALiteral` | `getLiteral()` Returns the value of the 'Literal' containment reference.
`ASelect` | `getSelected()` Returns the value of the 'Selected' reference.
`ASink` | `getSink()` Returns the value of the 'Sink' container reference.
`IValue` | `getValue()` Returns the value of the 'Value' reference.
`boolean` | `isPotentialValue(IValue value)`
`boolean` | `isReachable(IValue value)`
`java.util.Collection<?>` | `potentialValues(java.util.Collection<IValue> suggestValues)`
`boolean` | `references(IValue value)`
`void` | `setLiteral(ALiteral value)` Sets the value of the '`Literal`' containment reference.
`void` | `setSelected(ASelect value)` Sets the value of the '`Selected`' reference.
`void` | `setSink(ASink value)` Sets the value of the '`Sink`' container reference.
`void` | `setValue(IValue value)` Sets the value of the '`Value`' reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSink

    ASink getSink()

  Returns the value of the 'Sink' container reference. It is bidirectional and its opposite is '`Inputs`'.

  If the meaning of the 'Sink' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sink' container reference.
  See Also:
    `setSink(ASink)`, `MetaABMActPackage.getAInput_Sink()`, `ASink.getInputs()`

### setSink

    void setSink(ASink value)

  Sets the value of the '`Sink`' container reference.

  Parameters:
    `value` - the new value of the 'Sink' container reference.
  See Also:
    `getSink()`

### getSelected

    ASelect getSelected()

  Returns the value of the 'Selected' reference.

  If the meaning of the 'Selected' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Selected' reference.
  See Also:
    `setSelected(ASelect)`, `MetaABMActPackage.getAInput_Selected()`

### setSelected

    void setSelected(ASelect value)

  Sets the value of the '`Selected`' reference.

  Parameters:
    `value` - the new value of the 'Selected' reference.
  See Also:
    `getSelected()`

### getLiteral

    ALiteral getLiteral()

  Returns the value of the 'Literal' containment reference.

  If the meaning of the 'Literal' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Literal' containment reference.
  See Also:
    `setLiteral(ALiteral)`, `MetaABMActPackage.getAInput_Literal()`

### setLiteral

    void setLiteral(ALiteral value)

  Sets the value of the '`Literal`' containment reference.

  Parameters:
    `value` - the new value of the 'Literal' containment reference.
  See Also:
    `getLiteral()`

### getValue

    IValue getValue()

  Returns the value of the 'Value' reference.

  If the meaning of the 'Value' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' reference.
  See Also:
    `setValue(IValue)`, `MetaABMActPackage.getAInput_Value()`

### setValue

    void setValue(IValue value)

  Sets the value of the '`Value`' reference.

  Parameters:
    `value` - the new value of the 'Value' reference.
  See Also:
    `getValue()`

### isReachable

    boolean isReachable(IValue value)

### isPotentialValue

    boolean isPotentialValue(IValue value)

### potentialValues

    java.util.Collection<?> potentialValues(java.util.Collection<IValue> suggestValues)

### references

    boolean references(IValue value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD